/**
 **  Prototypes for egsgfx.library
 **
 **  Created: 14. July 1992   mvk
 **  Changed: 14. July 1992
 **           26. July 1992   us
 **           18. December 1992 mvk
 **
 **/

#ifndef         EXEC_TYPES_H
#include        <exec/types.h>
#endif
#ifndef         EXEC_PORTS_H
#include        <exec/ports.h>
#endif
#ifndef         EXEC_LISTS_H
#include        <exec/lists.h>
#endif
#ifndef         EXEC_SEMAPHORES_H
#include        <exec/semaphores.h>
#endif
#ifndef         GRAPHICS_TEXT_H
#include        <graphics/text.h>
#endif
#ifndef         EGS_EGS_H
#include        <egs/egs.h>
#endif
#ifndef         EGS_EGSBLIT_H
#include        <egs/egsblit.h>
#endif
#ifndef         EGS_EGSLAYERS_H
#include        <egs/egslayers.h>
#endif
#ifndef         EGS_EGSGFX_H
#include        <egs/egsgfx.h>
#endif

void EG_SetAPen (EG_RastPortPtr rast, ULONG color);
void EG_SetBPen (EG_RastPortPtr rast, ULONG color);
void EG_SetDrMd (EG_RastPortPtr rast, UBYTE mode);
void EG_Move (EG_RastPortPtr rast, WORD x, WORD y);
void EG_WritePixel (EG_RastPortPtr rast, WORD x, WORD y);
ULONG EG_ReadPixel (EG_RastPortPtr rast, WORD x, WORD y);
void EG_Draw (EG_RastPortPtr rast, WORD x, WORD y);
void EG_Ellipse (EG_RastPortPtr rast, WORD x, WORD y, WORD a, WORD b);
void EG_Curve (EG_RastPortPtr rast, WORD x2, WORD y2,
        WORD x3, WORD y3, WORD x4, WORD y4);
void EG_Text (EG_RastPortPtr rast, char *text, WORD len);
ULONG EG_TextLength (EG_RastPortPtr rast, char *text, WORD len);
void EG_RectFill (EG_RastPortPtr rast, WORD x, WORD y, WORD w, WORD h);
void EG_CopyBitMapRastPort (E_EBitMapPtr src, EG_RastPortPtr rast,
       WORD xs, WORD ys, WORD w, WORD h, WORD xd, WORD yd);
void EG_ScrollRaster (EG_RastPortPtr rast, WORD xs, WORD ys,
   WORD w, WORD h, WORD dx, WORD dy);
void EG_FillMask (EG_RastPortPtr rast, E_EBitMapPtr src, WORD xd, WORD yd);
void EG_AreaCircle (EG_RastPortPtr rast, WORD x, WORD y, WORD r);
void EG_AreaMove (EG_RastPortPtr rast, WORD x, WORD y);
void EG_AreaDraw (EG_RastPortPtr rast, WORD x, WORD y);
void EG_AreaCurve (EG_RastPortPtr rast, WORD x2, WORD y2,
     WORD x3, WORD y3, WORD x4, WORD y4);
void EG_AreaEnd (EG_RastPortPtr rast);
EG_AreaInfoPtr EG_InitArea (EG_AreaInfoPtr info,
       EG_PolyPtr buffer, WORD size);
EG_EFontPtr EG_OpenFont (struct TextAttr *attr);
void EG_CloseFont (EG_EFontPtr font);
EG_EFontPtr EG_StdFont (void);
void EG_InstallClipRegion (EG_RastPortPtr rast, EB_ClipRectPtr rect);
EB_ClipRectPtr EG_RemoveClipRegion (EG_RastPortPtr rast);
EG_RastPortPtr EG_CreateRastPort (EL_LayerPtr layer,
      E_EScreenPtr screen, E_EBitMapPtr map);
void EG_DeleteRastPort (EG_RastPortPtr rast);
void EG_SetFont (EG_RastPortPtr rast, EG_EFontPtr font);
UBYTE EG_SetSoftStyle (EG_RastPortPtr rast, UBYTE style, UBYTE mask);
void EG_SetMask (EG_RastPortPtr rast, ULONG mask);
void EG_Flood (EG_RastPortPtr rast, WORD x, WORD y, ULONG mode);
void EG_CopyRectangle (EG_RastPortPtr src, EG_RastPortPtr dst,
         WORD xs, WORD ys, WORD w, WORD h, WORD xd, WORD yd);
void EG_FillMaskSeg (EG_RastPortPtr rast, E_EBitMapPtr src,
       WORD xs, WORD ys, WORD w, WORD h, WORD xd, WORD yd);
void EG_CurveL (EG_RastPortPtr rast,
  LONG x2, LONG y2, LONG x3, LONG y3, WORD x4, WORD y4);
void EG_AreaCurveL (EG_RastPortPtr rast,
      LONG x2, LONG y2, LONG x3, LONG y3, WORD x4, WORD y4);
BOOL EG_CheckRectangle (EG_RastPortPtr rport, EB_ClipRectPtr rect);
